diff -Naur gutenprint-5.2.7-orig/src/cups/Makefile.am gutenprint-5.2.7/src/cups/Makefile.am
--- gutenprint-5.2.7-orig/src/cups/Makefile.am	2011-01-18 00:20:51.000000000 +0100
+++ gutenprint-5.2.7/src/cups/Makefile.am	2012-02-09 09:21:22.493187000 +0100
@@ -77,6 +77,7 @@
 sbin_SCRIPTS = cups-genppdupdate
 cupsexec_filter_PROGRAMS = rastertogutenprint.@GUTENPRINT_MAJOR_VERSION@.@GUTENPRINT_MINOR_VERSION@ commandtoepson commandtocanon
 
+TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 TESTS= test-ppds test-rastertogutenprint
 noinst_SCRIPTS=test-rastertogutenprint
 endif
diff -Naur gutenprint-5.2.7-orig/src/cups/Makefile.in gutenprint-5.2.7/src/cups/Makefile.in
--- gutenprint-5.2.7-orig/src/cups/Makefile.in	2011-05-02 03:32:20.000000000 +0200
+++ gutenprint-5.2.7/src/cups/Makefile.in	2012-02-09 09:22:53.311217000 +0100
@@ -399,6 +399,7 @@
 @BUILD_TRANSLATED_CUPS_PPDS_TRUE@TRANSLATE_PPDS = -DCUPS_TRANSLATED_PPDS
 @BUILD_SIMPLIFIED_CUPS_PPDS_TRUE@BUILD_SIMPLE_PPDS = -DGENERATE_SIMPLIFIED_PPDS
 @BUILD_CUPS_TRUE@sbin_SCRIPTS = cups-genppdupdate
+@BUILD_CUPS_TRUE@TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 @BUILD_CUPS_TRUE@TESTS = test-ppds test-rastertogutenprint
 @BUILD_CUPS_TRUE@noinst_SCRIPTS = test-rastertogutenprint
 @BUILD_GENPPD_STATIC_TRUE@STATIC_LDOPTS = -static -export-dynamic
diff -Naur gutenprint-5.2.7-orig/src/cups/test-ppds gutenprint-5.2.7/src/cups/test-ppds
--- gutenprint-5.2.7-orig/src/cups/test-ppds	2011-01-17 23:53:05.000000000 +0100
+++ gutenprint-5.2.7/src/cups/test-ppds	2012-02-09 11:01:07.638462000 +0100
@@ -8,7 +8,7 @@
 # Also, a number of our media sizes aren't named correctly, but we'll
 # accept those issues rather than cluttering the namespace further and/or
 # changing tag names.
-cupstestppdopts='-I profiles -W sizes'
+cupstestppdopts='-I profiles -W sizes -W translations'
 
 ppd_count=`find ppd \( -name '*.ppd.gz' -o -name '*.ppd' \) -print | wc -l`
 
diff -Naur gutenprint-5.2.7-orig/src/testpattern/Makefile.am gutenprint-5.2.7/src/testpattern/Makefile.am
--- gutenprint-5.2.7-orig/src/testpattern/Makefile.am	2007-12-08 19:41:56.000000000 +0100
+++ gutenprint-5.2.7/src/testpattern/Makefile.am	2012-02-09 09:21:51.525890000 +0100
@@ -26,6 +26,7 @@
 
 pkgdatadir = $(datadir)/$(PACKAGE)/samples
 
+TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 TESTS = run-testpattern-1 run-testpattern-2
 
 
diff -Naur gutenprint-5.2.7-orig/src/testpattern/Makefile.in gutenprint-5.2.7/src/testpattern/Makefile.in
--- gutenprint-5.2.7-orig/src/testpattern/Makefile.in	2011-05-02 03:32:20.000000000 +0200
+++ gutenprint-5.2.7/src/testpattern/Makefile.in	2012-02-09 09:23:19.496457000 +0100
@@ -339,6 +339,7 @@
 top_srcdir = @top_srcdir@
 AM_CPPFLAGS = -I$(top_srcdir)/include -I$(top_builddir)/include $(LOCAL_CPPFLAGS) $(GNUCFLAGS)
 GUTENPRINTUI_LIBS = $(top_builddir)/src/gutenprintui/libgutenprintui.la
+TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 TESTS = run-testpattern-1 run-testpattern-2
 @BUILD_TESTPATTERN_TRUE@noinst_SCRIPTS = run-testpattern-2
 AM_LFLAGS = -i
diff -Naur gutenprint-5.2.7-orig/test/Makefile.am gutenprint-5.2.7/test/Makefile.am
--- gutenprint-5.2.7-orig/test/Makefile.am	2008-05-31 03:56:45.000000000 +0200
+++ gutenprint-5.2.7/test/Makefile.am	2012-02-09 09:22:05.458655000 +0100
@@ -26,6 +26,7 @@
 
 LOCAL_CPPFLAGS = -I$(top_srcdir)/src/main $(GUTENPRINT_CFLAGS)
 
+TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 TESTS = curve run-testdither run-weavetest
 
 ## Programs
diff -Naur gutenprint-5.2.7-orig/test/Makefile.in gutenprint-5.2.7/test/Makefile.in
--- gutenprint-5.2.7-orig/test/Makefile.in	2011-05-02 03:32:21.000000000 +0200
+++ gutenprint-5.2.7/test/Makefile.in	2012-02-09 09:23:39.619567000 +0100
@@ -41,6 +41,7 @@
 host_triplet = @host@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 	$(top_srcdir)/scripts/global.mk
+TESTS_ENVIRONMENT= STP_MODULE_PATH=$(top_builddir)/src/main/.libs:$(top_builddir)/src/main STP_DATA_PATH=$(top_srcdir)/src/xml
 TESTS = curve$(EXEEXT) run-testdither run-weavetest
 @BUILD_TEST_TRUE@noinst_PROGRAMS = testdither$(EXEEXT) \
 @BUILD_TEST_TRUE@	escp2-weavetest$(EXEEXT) unprint$(EXEEXT) \
